{
	"name": "form/nc/erp-sync/nestix/column/product.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"link_field": "pr.product_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "pr.product_id",
			"name": "Product id",
			"width": 150
		},
		{
			"field": "pr.name",
			"name": "Product name",
			"organization_id": { "nestix": { "load": false } },
			"width": 300
		},
		{
			"field": "pr.quality",
			"name": "Quality",
			"width": 150
		},
		{
			"field": "pr.json_data.thickness",
			"name": "Thickness",
			"organization_id": { "": { "load": false } },
			"width": 200
		},
		{
			"change_compare": false,
			"organization_id": { "nestix": { "load": false, "field": "prl.modify_time" } },
			"field": "pr.modify_id",
			"name": "Modified",
			"width": 140
		}
	]
}
